Skip to main content
GET
/
collateral_management
/
operations
List collateral and exposure operations
curl --request GET \
  --url https://api.anchorage-staging.com/v2/collateral_management/operations \
  --header 'Api-Access-Key: <api-key>'
{
  "data": [
    {
      "asset": {
        "assetType": "<string>"
      },
      "createdAt": "2019-01-02T12:34:56.000Z",
      "id": "<string>",
      "quantity": "<string>",
      "typeId": "<string>",
      "updatedAt": "2019-01-02T12:34:56.000Z",
      "liquidationCollateralPackageId": "<string>",
      "liquidationProceedAsset": {
        "assetType": "<string>"
      },
      "liquidationProceedQuantity": "<string>",
      "notes": "<string>"
    }
  ],
  "page": {
    "next": "<next page url>"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Query Parameters

afterId
string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)

limit
integer<int64>
default:100

Maximum number of results to return per query

Required range: 1 <= x <= 100

Response

operations

data
object[]
required
page
Page · object
required

Pagination info